/*
 * Copyright (c) 2004 Ciaran McCreesh <ciaranm at gentoo.org>
 *
 * This file is part of uhinv.
 *
 * uhinv is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * uhinv is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * uhinv; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * \file   src/devices/devices_generic.c
 * Handle devices.
 *
 * Handle devices. Just a wrapper function, the actual work is delegated to
 * specific operating system handlers.
 */

#include <string.h>
#include "devices_generic.h"
#include "devices_linux.h"

/**
 * Gets device info.
 *
 * \param devinfo Device information ends up here.
 */
    void
get_devices_info(devinfo)
    devices_info_T **devinfo;
{
    get_linux_devices_info(devinfo);
}

/* vim: set tw=80 sw=4 et : */
