/*
 * Copyright (c) 2004 Ciaran McCreesh <ciaranm at gentoo.org>
 *
 * This file is part of uhinv.
 *
 * uhinv is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * uhinv is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * uhinv; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * \file   src/mem/mem_generic.c
 * Memory handling.
 *
 * Functions for finding any available memory information.
 */

#include <string.h>
#include "src/util/util.h"
#include "mem_generic.h"
#include "mem_linux.h"

/**
 * Try to find any available memory information.
 *
 * \param meminfo Where to put any found memory information
 */
    void
get_mem_info(meminfo)
    mem_info_T *meminfo;
{
    /* default values */
    strncpynull(meminfo->mem_total, "Unknown", MEM_INFO_BUFSIZE);
    strncpynull(meminfo->swap_total, "Unknown", MEM_INFO_BUFSIZE);

    /* try a linux-style /proc/meminfo file */
    get_linux_mem_info(meminfo);
}

/* vim: set tw=80 sw=4 et : */
