/*
 * uhinv (Universal Hardware Inventory)
 * src/os/os_generic.h
 * Operating System Detection
 *
 * Copyright (c) 2004 Ciaran McCreesh <ciaranm at gentoo.org>
 *
 * This file is part of uhinv.
 *
 * uhinv is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * uhinv is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * uhinv; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
 * Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef HAVE_OS_GENERIC_H
#define HAVE_OS_GENERIC_H 1

#define OPERATING_SYSTEM_INFO_BUFSIZE 255

typedef struct
{
    char name[OPERATING_SYSTEM_INFO_BUFSIZE];
    char release[OPERATING_SYSTEM_INFO_BUFSIZE];
    char version[OPERATING_SYSTEM_INFO_BUFSIZE];
    char machine[OPERATING_SYSTEM_INFO_BUFSIZE];
    char hostname[OPERATING_SYSTEM_INFO_BUFSIZE];
} operating_system_info_T;

void get_operating_system_info(operating_system_info_T *osinfo);

#endif

/* vim: set tw=80 sw=4 et : */
